### Method

# Aravis Camera dup_available_pixel_formats

since: 0.8.0

#### Declaration [src]

    gint64*
    arv_camera_dup_available_pixel_formats (
      ArvCamera* camera,
      guint* n_pixel_formats,
      GError** error
    )

#### Description [src]

Retrieves the list of all available pixel formats.

Available since: 0.8.0

#### Parameters

`n_pixel_formats`

  Type: `guint*`

  Number of different pixel formats.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `gint64`

A newly allocated array of `ArvPixelFormat`, to be freed after use with g_free().

The length of the array is in the `n_pixel_formats` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.